﻿// Copyright (c) 2021 Tudor Stanciu

using Microsoft.Extensions.DependencyInjection;
using Netmash.Extensions.Caching.Services;

namespace Netmash.Extensions.Caching
{
    public static class CachingExtensions
    {
        public static void AddCacheService(this IServiceCollection services)
        {
            services.AddDistributedMemoryCache();
            services.AddScoped<ICacheService, CacheService>();
        }
    }
}
